## org.apache.mahout.classifier.df.node
Enum Node.Type

    java.lang.Object
      java.lang.Enum<Node.Type>
          org.apache.mahout.classifier.df.node.Node.Type

All Implemented Interfaces:
  Serializable, Comparable<Node.Type>

Enclosing class:
  Node

    protected static enum Node.Type

extends Enum<Node.Type>

Enum Constant Summary
`CATEGORICAL`
`LEAF`
`NUMERICAL`

Method Summary
`static Node.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Node.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEAF

    public static final Node.Type LEAF

### NUMERICAL

    public static final Node.Type NUMERICAL

### CATEGORICAL

    public static final Node.Type CATEGORICAL

Method Detail

### values

    public static Node.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Node.Type c : Node.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Node.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.